Skip to main content

AWB Assignment API:

Description :Use this API to assign awb to order-shipment on the RapidShyp platform.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:hhttps://apI.rapidshyp.com/rapidshyp/apis/v1/assign_awb
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl:


curl --location 'https://apI.rapidshyp.com/rapidshyp/apis/v1/assign_awb' \
--header 'rapidshyp-token: e779a4656395810c1f***************79fa1f34b64805e' \
--header 'Content-Type: application/json' \
--data '{
"shipment_id":"1111111111",
"courier_code":""
}'

Request ParametersRequirementRemarkValidation
shipment_idMandatoryOrder shipmentID on channel/store/websiteShould belong to a valid order
courier_codeNon-MandatoryOrder created date on channel/store/websiteThe courier id of the courier service you want to select. The default courier (based on courier rule/priority) is selected in case no ID is specified. You can get courier code by calling the serviceability API.

Response:

JSON
{
"status": "SUCCESS",
"remarks": "SUCCESS",
"shipment_id": "1111111111",
"order_id": "1111111111",
"awb": "1111111111111",
"courier_code": "6001",
"courier_name": "BlueDart Express",
"parent_courier_name": "BlueDart",
"applied_weight": 2433.399,
"rto_routing_code": "DEL/ANT/ANT",
"pickup_name": "meerut",
"payment_method": "PREPAID",
"total_order_value": 2357.64,
"collectable_amount": 0.0
}